Subject: Re: [IPFIX] Promotion of Enterprise-Specific IEs to IANA IEs

From: Benoit Claise <[email-masked]>
Date: Tue, 02 Oct 2012 12:55:47 +0200

On 25/09/2012 00:36, Paul Aitken wrote:
> Benoit,
>
>> Instead, just point the collector to the URI with all the 
>> information. That's way easier for everybody: the exporters and the 
>> collector.
>
> My constant point is that there's no way that network operators will 
> allow this.
Time to get the collectors' feedback. We heard from Plixer. We need some 
more feedback.
Chris, since you presented the idea. What are your views?

Regards, Benoit.
>
> Network configuration is locked down, and only changeable during 
> pre-planned maintenance windows. At such times, only known-good and 
> pre-tested configurations are rolled out.
>
> The equivalence option can be tested in isolation in a lab, and the 
> configuration proven. There's no external influence upon the 
> configuration.
>
> Whereas the URI mechanism cannot be tested in isolation because it's 
> dependent upon the URI content, which could be modified at any time 
> without notice.
>
> Also, this introduces a new attack vector upon the collector - ie, by 
> feeding it malformed or incorrect data through the URI.
>
> So from a network operator point of view, I wouldn't buy that.
>
> P.
>
>